Skip to main content

Find locations by number prefix

GET 

/api/v2/numbers/countries/:country_id/locations

Search for locations (cities) that have DID numbers starting with a specific prefix.

Important notes:

  • Prefix can be partial number (e.g., "212" for NYC area code)
  • Returns combined location information (country, state, city)

locations[].city_id feeds list_available_numbers_in_city and search_available_numbers (city_id). locations[].state_id feeds search_available_numbers (region_id).

Request​

Responses​

returns list of locations